Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessagePaymentSuccessful

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessagePaymentSuccessful

Enclosing class:
  TdApi

public static final class TdApi.MessagePaymentSuccessful extends TdApi.MessageContent
A payment has been completed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`currency`
Currency for the price of the product.
`long`
`invoiceChatId`
Identifier of the chat, containing the corresponding invoice message.
`long`
`invoiceMessageId`
Identifier of the message with the corresponding invoice; can be 0 or an identifier of a deleted message.
`String`
`invoiceName`
Name of the invoice; may be empty if unknown.
`boolean`
`isFirstRecurring`
True, if this is the first recurring payment.
`boolean`
`isRecurring`
True, if this is a recurring payment.
`long`
`totalAmount`
Total price for the product, in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor
Description
`MessagePaymentSuccessful()`
A payment has been completed.
`MessagePaymentSuccessful(long invoiceChatId, long invoiceMessageId, String currency, long totalAmount, boolean isRecurring, boolean isFirstRecurring, String invoiceName)`
A payment has been completed.
`MessagePaymentSuccessful(DataInput input)`
A payment has been completed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### invoiceChatId

public long invoiceChatId
Identifier of the chat, containing the corresponding invoice message.

### invoiceMessageId

public long invoiceMessageId
Identifier of the message with the corresponding invoice; can be 0 or an identifier of a deleted message.

### currency

public String currency
Currency for the price of the product.

### totalAmount

public long totalAmount
Total price for the product, in the smallest units of the currency.

### isRecurring

public boolean isRecurring
True, if this is a recurring payment.

### isFirstRecurring

public boolean isFirstRecurring
True, if this is the first recurring payment.

### invoiceName

public String invoiceName
Name of the invoice; may be empty if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessagePaymentSuccessful

public MessagePaymentSuccessful()
A payment has been completed.

### MessagePaymentSuccessful

public MessagePaymentSuccessful(long invoiceChatId, long invoiceMessageId, String currency, long totalAmount, boolean isRecurring, boolean isFirstRecurring, String invoiceName)
A payment has been completed.

Parameters:
  `invoiceChatId` - Identifier of the chat, containing the corresponding invoice message.
  `invoiceMessageId` - Identifier of the message with the corresponding invoice; can be 0 or an identifier of a deleted message.
  `currency` - Currency for the price of the product.
  `totalAmount` - Total price for the product, in the smallest units of the currency.
  `isRecurring` - True, if this is a recurring payment.
  `isFirstRecurring` - True, if this is the first recurring payment.
  `invoiceName` - Name of the invoice; may be empty if unknown.

### MessagePaymentSuccessful

public MessagePaymentSuccessful(DataInput input) throws IOException
A payment has been completed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`